﻿// For an introduction to the Split template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkID=232447
(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;
    var nav = WinJS.Navigation;

    app.addEventListener("activated", function (args) {
        
        if (args.detail.kind ===
            activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !==
                activation.ApplicationExecutionState.terminated) {
            } else {
            }

            if (app.sessionState.history) {
                nav.history = app.sessionState.history;
            }
            args.setPromise(WinJS.UI.processAll().then(function () {
                var searchString = "";
                svcc.Functions.loadData(nav, searchString);
            }));
        }
    });

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. If you need to 
        // complete an asynchronous operation before your application is 
        // suspended, call args.setPromise().
        app.sessionState.history = nav.history;
    };
    

    WinJS.Namespace.define("svcc.Constants", {
        baseUrl: "http://dotnet4.siliconvalley-codecamp.com/"
 
    });
    
// Populate settings pane and tie commands to settings flyouts.
WinJS.Application.onsettings = function (e) {
    e.detail.applicationcommands = {
        "aboutDiv": { href: "/pages/about/about.html", title: "About" }
    };
    WinJS.UI.SettingsFlyout.populateSettings(e);
};

    app.start();
})();


